package model

import pasturePb "gitee.com/xuyiping_admin/go_proto/proto/go/backend/cow"

type NeckRingError struct {
	Id              int64                         `json:"id"`
	PastureId       int64                         `json:"pastureId"`
	Uuid            string                        `json:"uuid"`
	NeckRingNumber  string                        `json:"neckRingNumber"`  // 脖环号 （对应老表字段EID1）
	ActiveDate      string                        `json:"activeDate"`      // 采集时间-天(YYYY-MM-DD对应老表字段heatdate)
	Hours           int32                         `json:"hours"`           // 采集时间-小时(hours)
	Frameid         int32                         `json:"frameid"`         // 采集时长(对应老表frameid)
	Rumina          int32                         `json:"rumina"`          // 反刍时长(rumaina)
	Intake          int32                         `json:"intake"`          // 采食时长(intake)
	Inactive        int32                         `json:"inactive"`        // 静止时间(inactive)
	Gasp            int32                         `json:"gasp"`            // 喘息时长(Other)
	High            int32                         `json:"high"`            // 活动量(activitys)
	Active          int32                         `json:"active"`          // 运动时长(High)
	Other           int32                         `json:"other"`           // 其他时长
	FirmwareVersion int32                         `json:"firmwareVersion"` // 固件版本(对应老表Version)
	HardwareVersion int32                         `json:"hardwareVersion"` // 硬件版本
	Remain          int32                         `json:"remain"`          // 脖环剩余数据量，57之后为上一次上报结果
	Voltage         int32                         `json:"voltage"`         // 电池电压
	RestartReason   int32                         `json:"restartReason"`   // 脖环重启原因 (对应老表HIB)
	Upper           int32                         `json:"upper"`           // 脖环正向比例发射功率
	ActiveDateType  pasturePb.ActiveTimeType_Kind `json:"ActiveDateTimeType"`
	IsShow          pasturePb.IsShow_Kind         `json:"isShow"`
	Imei            string                        `json:"imei"`          // 4G模组IMEI(imei)
	ReceiveNumber   string                        `json:"receiveNumber"` // 接收器编号
	CreatedAt       int64                         `json:"createdAt"`
	UpdatedAt       int64                         `json:"updatedAt"`
}

func (s *NeckRingError) TableName() string {
	return "neck_ring_error"
}
