package model

import pasturePb "gitee.com/xuyiping_admin/go_proto/proto/go/backend/cow"

type PrescriptionDrugs struct {
	Id             int32                 `json:"id"`
	PastureId      int64                 `json:"pasture_id"`
	PrescriptionId int32                 `json:"prescription_id"`
	DrugsId        int64                 `json:"drugs_id"`
	DrugsName      string                `json:"drugs_name"`
	UseDays        int32                 `json:"use_days"`
	Dosages        float32               `json:"dosages"`
	Unit           pasturePb.Unit_Kind   `json:"unit"`
	UnitName       string                `json:"unit_name"`
	Specs          string                `json:"specs"`
	IsShow         pasturePb.IsShow_Kind `json:"is_show"`
	CreatedAt      int64                 `json:"created_at"`
	UpdatedAt      int64                 `json:"updated_at"`
}

func (p *PrescriptionDrugs) TableName() string {
	return "prescription_drugs"
}

func NewPrescriptionDrugs(pastureId int64, prescriptionId int32, list []*pasturePb.PrescriptionDrugsList) []*PrescriptionDrugs {
	res := make([]*PrescriptionDrugs, len(list))
	for i, v := range list {
		res[i] = &PrescriptionDrugs{
			PastureId:      pastureId,
			PrescriptionId: prescriptionId,
			DrugsId:        int64(v.DrugsId),
			DrugsName:      v.DrugsName,
			UseDays:        v.UseDays,
			Dosages:        v.Dosages,
			Unit:           v.Unit,
			UnitName:       v.UnitName,
			Specs:          v.Specs,
			IsShow:         pasturePb.IsShow_Ok,
		}
	}
	return res
}

type PrescriptionDrugsSlice []*PrescriptionDrugs

func (p PrescriptionDrugsSlice) ToPB() []*pasturePb.PrescriptionDrugsList {
	res := make([]*pasturePb.PrescriptionDrugsList, len(p))
	for i, v := range p {
		res[i] = &pasturePb.PrescriptionDrugsList{
			DrugsId:   int32(v.DrugsId),
			DrugsName: v.DrugsName,
			UseDays:   v.UseDays,
			Dosages:   v.Dosages,
			Unit:      v.Unit,
			UnitName:  v.UnitName,
			Specs:     v.Specs,
		}
	}
	return res
}
