package backend

import (
	"context"
	"kpt-pasture/model"
	"strings"

	"gitee.com/xuyiping_admin/pkg/xerr"

	pasturePb "gitee.com/xuyiping_admin/go_proto/proto/go/backend/cow"
)

func (s *StoreEntry) FindPastureByFarmId(ctx context.Context, farmId string) (*model.AppPastureList, error) {
	res := &model.AppPastureList{}
	if err := s.DB.Table(new(model.AppPastureList).TableName()).
		Where("farm_id = ?", farmId).
		Where("is_show = ?", pasturePb.IsShow_Ok).
		First(res).Error; err != nil {
		return nil, xerr.WithStack(err)
	}
	return res, nil
}

func (s *StoreEntry) FindPastureList(ctx context.Context, pastureIds string) ([]*model.AppPastureList, error) {
	list := make([]*model.AppPastureList, 0)
	pastureIntIds := strings.Split(pastureIds, ",")
	if err := s.DB.Table(new(model.AppPastureList).TableName()).
		Where("id IN (?)", pastureIntIds).
		Where("is_show = ?", pasturePb.IsShow_Ok).
		Find(&list).Error; err != nil {
		return nil, xerr.WithStack(err)
	}
	return list, nil
}
