package crontab

/*
	type XToday struct {
		XBegDate       string
		XEndDate       string
		LastMaxHabitId int64
		CurrMaxHabitId int64
		XMin2Id        int64
		XMin7Id        int64
		ActiveLowest   int64
		RuminaLowest   int64
		ActiveLow      int64
		ActiveMiddle   int64
		ActiveHigh     int64
	}
*/
type WeekHabit struct {
	NeckRingNumber    string
	WeekHighHabit     int32
	WeekRuminaHabit   int32
	WeekChewHabit     int32
	WeekInactiveHabit int32
	WeekIntakeHabit   int32
	WeekOtherHabit    int32
}

/*
	type SumHabit struct {
		NeckRingNumber string
		SumRumina      int32
		SumIntake      int32
		SumInactive    int32
		SumActive      int32
		SumMaxHigh     int32
		SumMinHigh     int32
		SumMinChew     int32
	}
*/
type ActivityVolume struct {
	NeckRingNumber string
	AvgFilter      float64
	StdFilter      int32
	Nb             int32
}

type CowEstrusOriginal struct {
	CowId      int64
	Lact       int32
	CalvingAge int64
	CreateTime string
	Cft        float32
	High       int32
}

type CowEstrus struct {
	CowId      int64
	ActiveDate string
	HadJust    int32
}

type EstrusStartData struct {
	CowId           int64
	EstrusStartDate string
}

type EstrusIsPeakData struct {
	CowId           int64
	EstrusStartDate string
	ActiveDate      string
}

type XToday struct {
	LastMaxHabitId  int64
	CurrMaxHabitId  int64
	High            int32
	Rumina          int32
	ActiveLow       int32
	ActiveMiddle    int32
	ActiveHigh      int32
	XRuminaDisc     int32
	XChangeDiscount int32
	WeeklyActive    int32
}

type FirstFilterData struct {
	NeckRingNumber string
	FilterHigh     int32
	FilterRumina   int32
	FilterChew     int32
}

type SumHabit struct {
	NeckRingNumber string
	SumRumina      int32
	SumIntake      int32
	SumInactive    int32
	SumActive      int32
	SumMaxHigh     int32
	SumMinHigh     int32
	SumMinChew     int32
}

type ChangeFilterData struct {
	Id             int64
	NeckRingNumber string
	ChangeHigh     int32
	ChangeFilter   int32
	RuminaFilter   int32
	ChangeRumina   int32
	ChewFilter     int32
	ChangeChew     int32
	XlcDisCount    float64
	HeatDate       string
	FrameId        int32
}

type SecondFilterData struct {
	NeckRingNumber string
	ChangeFilter   float64
	RuminaFilter   float64
	ChewFilter     float64
}
